LF a 3.0.2 Wrath Client and Repack menu

These ads disappear when you log in.

Results 1 to 15 of 15
  1. #1
    koyle112's Avatar Member CoreCoins User
    Reputation
    3
    Join Date
    Dec 2015
    Posts
    30
    Thanks G/R
    5/0
    Trade Feedback
    0 (0%)

    LF a 3.0.2 Wrath Client and Repack

    I've been looking for a 3.0.2 client and repack for quite a while now and haven't found a thing. The reason why i want such an early client is to just dink around with and to re-live some memories of launch day. If anyone could provide me one I would be in your debt, like no joke.

    These ads disappear when you log in.

  2. #2
    brotalnia's Avatar Elite User CoreCoins User
    Reputation
    392
    Join Date
    Apr 2009
    Posts
    394
    Thanks G/R
    22/223
    Trade Feedback
    0 (0%)
    Just install WoW from your disks and then update it to whatever patch you want. You can get the old patches from getmangos. Then go to github and scroll down the commit history until you reach a point when MaNGOS was at the patch you want.

  3. Thanks koyle112 (1 members gave Thanks to brotalnia for this useful post)
  4. #3
    koyle112's Avatar Member CoreCoins User
    Reputation
    3
    Join Date
    Dec 2015
    Posts
    30
    Thanks G/R
    5/0
    Trade Feedback
    0 (0%)
    Originally Posted by brotalnia View Post
    Just install WoW from your disks and then update it to whatever patch you want. You can get the old patches from getmangos. Then go to github and scroll down the commit history until you reach a point when MaNGOS was at the patch you want.
    Ok i'm just stupid. I'm sorry but can you give links or a step by step tut?
    Last edited by koyle112; 06-27-2017 at 07:16 PM.

  5. #4
    brotalnia's Avatar Elite User CoreCoins User
    Reputation
    392
    Join Date
    Apr 2009
    Posts
    394
    Thanks G/R
    22/223
    Trade Feedback
    0 (0%)
    Here you go. It took me longer than i expected, but i made a repack for you.

    Link - ArcEmu 3.0.3 Repack.rar

    To get the client, first download a 2.4.3 torrent. Then you have two options:

    - If you have a WotLK installation disk, use it to update TBC to WotLK.

    - If you don't have a disk, then you can use this patch, but you won't be able to go to Northrend if you do that.
    Patch 2.4.3 to 3.0.2 US - World of Warcraft Downloads | GameWatcher

    Then finally use the 3.0.1 to 3.0.2 patch, and optionally the 3.0.2 to 3.0.3 patch after that. It works with both versions.

    You can login with admin/admin if you installed from the disk, or admin2/admin2 if you updated to WotLK with the patch.

    Edit: And make sure you disable your internet before updating the game, or it will try to update all the way to Legion!
    Last edited by brotalnia; 06-30-2017 at 08:00 AM.

  6. Thanks koyle112 (1 members gave Thanks to brotalnia for this useful post)
  7. #5
    koyle112's Avatar Member CoreCoins User
    Reputation
    3
    Join Date
    Dec 2015
    Posts
    30
    Thanks G/R
    5/0
    Trade Feedback
    0 (0%)
    Originally Posted by brotalnia View Post
    Here you go. It took me longer than i expected, but i made a repack for you.

    Link - ArcEmu 3.0.3 Repack.rar

    To get the client, first download a 2.4.3 torrent. Then you have two options:

    - If you have a WotLK installation disk, use it to update TBC to WotLK.

    - If you don't have a disk, then you can use this patch, but you won't be able to go to Northrend if you do that.
    Patch 2.4.3 to 3.0.2 US - World of Warcraft Downloads | GameWatcher

    Then finally use the 3.0.1 to 3.0.2 patch, and optionally the 3.0.2 to 3.0.3 patch after that. It works with both versions.

    You can login with admin/admin if you installed from the disk, or admin2/admin2 if you updated to WotLK with the patch.

    Edit: And make sure you disable your internet before updating the game, or it will try to update all the way to Legion!
    Ok so the updater says it requires a 2.4.3 client to update, but the updater is in the 2.4.3 client. Got any fix?
    Last edited by koyle112; 06-30-2017 at 12:49 PM.

  8. #6
    brotalnia's Avatar Elite User CoreCoins User
    Reputation
    392
    Join Date
    Apr 2009
    Posts
    394
    Thanks G/R
    22/223
    Trade Feedback
    0 (0%)
    You are talking about the 2.4.3 to 3.0.2 patch, right?
    "WoW-2.4.3-to-3.0.2-enUS-Win-Final-patch.zip"

    You should have these files after extracting it in the game folder.
    World of Warcraft\Updates\WoW-2.4.3-to-3.0.1-TBC-USMX-Update\Installer Tome 3.mpq
    World of Warcraft\Updates\WoW-2.4.3-to-3.0.1-TBC-USMX-Update\Installer Tome 2.mpq
    World of Warcraft\Updates\WoW-2.4.3-to-3.0.1-TBC-USMX-Update\Installer Tome.mpq
    World of Warcraft\Updates\WoW-2.4.3-to-3.0.1-TBC-USMX-Update\Updater.exe
    Make sure they are in "Updates\WoW-2.4.3-to-3.0.1-TBC-USMX-Update", and NOT directly in the game folder where "Wow.exe" can be found. Also you need to run the 2.4.3 client once, so that it creates the registry keys. If you did that, all should be fine. But make sure it is an enUS client, not enGB or another language version, because the patch i linked is for US only.

  9. Thanks koyle112 (1 members gave Thanks to brotalnia for this useful post)
  10. #7
    koyle112's Avatar Member CoreCoins User
    Reputation
    3
    Join Date
    Dec 2015
    Posts
    30
    Thanks G/R
    5/0
    Trade Feedback
    0 (0%)
    Originally Posted by brotalnia View Post
    You are talking about the 2.4.3 to 3.0.2 patch, right?
    "WoW-2.4.3-to-3.0.2-enUS-Win-Final-patch.zip"

    You should have these files after extracting it in the game folder.


    Make sure they are in "Updates\WoW-2.4.3-to-3.0.1-TBC-USMX-Update", and NOT directly in the game folder where "Wow.exe" can be found. Also you need to run the 2.4.3 client once, so that it creates the registry keys. If you did that, all should be fine. But make sure it is an enUS client, not enGB or another language version, because the patch i linked is for US only.
    Ok everythings figured out, now i just need to know how to create a DK. The Wrath launch DK is really the main reason I wanted such an early client and repack
    Last edited by koyle112; 06-30-2017 at 04:03 PM.

  11. #8
    brotalnia's Avatar Elite User CoreCoins User
    Reputation
    392
    Join Date
    Apr 2009
    Posts
    394
    Thanks G/R
    22/223
    Trade Feedback
    0 (0%)
    Death Knights are WotLK content. You need to update your game with the disk. Just like how you needed to purchase the WotLK expansion to play a Death Knight character on retail. If you just updated the TBC client with the patch, you don't have any of the client side data required to access content from WotLK.

    And i don't know if you played any private servers back when WotLK launched, but Death Knights were extremely broken. Fancy spells like Death Grip didn't work at all. Don't expect the sort of quality you would find in 2017 emulators.

  12. #9
    Diathorus's Avatar Member
    Reputation
    2
    Join Date
    Jun 2016
    Posts
    18
    Thanks G/R
    4/1
    Trade Feedback
    0 (0%)
    Originally Posted by brotalnia View Post
    Just install WoW from your disks and then update it to whatever patch you want. You can get the old patches from getmangos. Then go to github and scroll down the commit history until you reach a point when MaNGOS was at the patch you want.
    I tried to compile with VS 2008 SP1, and all the builds fail with these errors:

    Error 12 fatal error C1083: Cannot open include file: 'svn_revision.h': No such file or directory c:\Users\****\Desktop\mangos-svn\src\shared\WheatyExceptionReport.cpp 16
    Error 16 fatal error LNK1104: cannot open file 'mangosd.lib' script script
    any help?

    The newer ones compile easily without any hassle though.

  13. #10
    brotalnia's Avatar Elite User CoreCoins User
    Reputation
    392
    Join Date
    Apr 2009
    Posts
    394
    Thanks G/R
    22/223
    Trade Feedback
    0 (0%)
    You could try creating the file yourself or remove the #include from the cpp file. If you want to play 3.0.2/3.0.3 try the repack i posted before, it does work.

  14. #11
    Diathorus's Avatar Member
    Reputation
    2
    Join Date
    Jun 2016
    Posts
    18
    Thanks G/R
    4/1
    Trade Feedback
    0 (0%)
    Originally Posted by brotalnia View Post
    You could try creating the file yourself or remove the #include from the cpp file. If you want to play 3.0.2/3.0.3 try the repack i posted before, it does work.
    I compiled any of these versions
    * MaNGOS Rev.6030

    * MaNGOS Rev.5979
    These versions are supposedly compatible with wotlk 8334.

    but it says invalid version. I extracted maps, dbc, vmaps from wotlk 8334, and mangosd says maps are from different version. So I dont know what to do.

    I want specific wotlk alpha, not the final build...
    Attached Thumbnails Attached Thumbnails LF a 3.0.2 Wrath Client and Repack-wow-2018-05-09-12-17-07-586-jpg  
    Last edited by Diathorus; 05-09-2018 at 06:32 AM.

  15. #12
    gunneremil's Avatar Member
    Reputation
    1
    Join Date
    Oct 2016
    Posts
    3
    Thanks G/R
    0/0
    Trade Feedback
    0 (0%)
    @brotalnia
    Can you make. Repack 3.0.2 not 3 pls, i wanna explora second scourge invasion that started in 3.0.2 and 3nds in 3.0.3
    I already found this rus thread but semms be private
    I-Core : Scripts/Events: Scripted events Scourge Invasion and Zombie Plague; Refer to commits ba775697e1b2, aedc4337be57, 492b77e6a8c0, 31f124649d4b - Автоматический список изменений WotLK 3.3.5 - Isengard

  16. #13
    gunneremil's Avatar Member
    Reputation
    1
    Join Date
    Oct 2016
    Posts
    3
    Thanks G/R
    0/0
    Trade Feedback
    0 (0%)
    Here you find old mangos commits

    Pls send me to a repack if you compile for version 3.0.1 3.0.2 ty
    MaNGOS / List mangos-commits Archives

  17. #14
    brotalnia's Avatar Elite User CoreCoins User
    Reputation
    392
    Join Date
    Apr 2009
    Posts
    394
    Thanks G/R
    22/223
    Trade Feedback
    0 (0%)
    The repack i posted supports both 3.0.2 and 3.0.3. And I don't know what you mean exactly by "explore the scourge invasion", but there is 0% chance that the scourge invasion event is scripted on any of the emulators from that period.

  18. #15

Similar Threads

  1. [Client] [Repack] Could anyone help me with a 2.2-2.3.2 client and repack?
    By Teryaki in forum WoW EMU Questions & Requests
    Replies: 0
    Last Post: 02-17-2012, 05:46 PM
  2. For all who have US clients and want to play on EU and vice versa
    By inzenir in forum World of Warcraft General
    Replies: 2
    Last Post: 08-20-2009, 02:15 PM
  3. Good site for WOTLK Beta/Alpha Client and Patches.
    By Grunken in forum World of Warcraft General
    Replies: 2
    Last Post: 10-25-2008, 08:43 AM
  4. Wrath WW1 and Blizzcon Beta Keys
    By vaeldas in forum WoW Scam Prevention
    Replies: 1
    Last Post: 08-01-2008, 01:55 PM
  5. TBC CLIENT AND PATCHES ( and so for wow-live ) enjoy XD
    By peecekeeper in forum World of Warcraft Exploits
    Replies: 10
    Last Post: 12-31-2006, 02:24 PM
All times are GMT -5. The time now is 12:09 PM. Powered by vBulletin® Version 4.2.3
Copyright © 2018 vBulletin Solutions, Inc. All rights reserved. Digital Point modules: Sphinx-based search